# Generated by Django 2.1.7 on 2019-04-07 01:15

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Diagnostico',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('resultado', models.PositiveSmallIntegerField(editable=False, null=True)),
                ('fecha_presentacion', models.DateTimeField(auto_now=True, verbose_name='Fecha de presentación de la prueba')),
            ],
        ),
        migrations.CreateModel(
            name='PoolPreguntas',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=30, verbose_name='Nombre del banco')),
                ('slug', models.SlugField(editable=False, verbose_name='Slug del banco')),
            ],
            options={
                'verbose_name': 'Banco de Preguntas',
                'verbose_name_plural': 'Bancos de Preguntas',
                'db_table': 'pool_preguntas',
            },
        ),
        migrations.CreateModel(
            name='Pregunta',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('texto_pregunta', models.TextField(max_length=255)),
                ('pool', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='preguntas', to='diagnosticos.PoolPreguntas', verbose_name='Banco de Preguntas')),
            ],
        ),
        migrations.CreateModel(
            name='PreguntasPrueba',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pregunta', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='apariciones', to='diagnosticos.Pregunta')),
                ('prueba', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='preguntas_usadas', to='diagnosticos.Diagnostico')),
            ],
        ),
        migrations.CreateModel(
            name='Respuesta',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('texto_respuesta', models.CharField(max_length=255)),
                ('es_correcta', models.BooleanField(default=False, verbose_name='correcta?')),
                ('pregunta', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='respuestas', to='diagnosticos.Pregunta')),
            ],
            options={
                'db_table': 'respuestas',
            },
        ),
        migrations.AddField(
            model_name='preguntasprueba',
            name='respuesta',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='seleccion_usuarios', to='diagnosticos.Respuesta'),
        ),
        migrations.AddField(
            model_name='diagnostico',
            name='banco',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='pruebas_del_banco', to='diagnosticos.PoolPreguntas', verbose_name='Banco de preguntas'),
        ),
        migrations.AddField(
            model_name='diagnostico',
            name='preguntas',
            field=models.ManyToManyField(through='diagnosticos.PreguntasPrueba', to='diagnosticos.Pregunta', verbose_name='Preguntas de la prueba'),
        ),
        migrations.AddField(
            model_name='diagnostico',
            name='usuario',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pruebas_presentadas', to=settings.AUTH_USER_MODEL, verbose_name='Usuario'),
        ),
    ]
